export type PackageManagerName = 'npm' | 'pnpm' | 'yarn' | 'bun';
/** Determine which package manager to use for installing dependencies based on how the process was started. */
export declare function resolvePackageManager(): PackageManagerName;
export declare function isPackageManagerAvailable(manager: PackageManagerName): boolean;
export declare function formatRunCommand(packageManager: PackageManagerName, cmd: string): string;
export declare function formatSelfCommand(): string;
export declare function installDependenciesAsync(projectRoot: string, packageManager: PackageManagerName, flags?: {
    silent: boolean;
}): Promise<void>;
